import{s as Lt,n as wt,o as Ft}from"../chunks/scheduler.6062bdaf.js";import{S as At,i as qt,g as s,s as a,r as f,A as Dt,h as l,f as e,c as r,j as T,u as g,x as C,k as N,y as n,a as m,v as h,d as x,t as v,w as _}from"../chunks/index.4bca734e.js";import{H as xt,g as Et}from"../chunks/Heading.4e4b5a61.js";import{D as G}from"../chunks/Docstring.bda231b7.js";function zt(vt){let c,B,H,Y,O,X,L,Z,i,w,rt,P,_t="Base class for TFLite exportable model describing metadata on how to export the model through the TFLite format.",st,k,bt="Class attributes:",lt,I,$t=`<li><p>NORMALIZED_CONFIG_CLASS (<code>Type</code>) — A class derived from <a href="/docs/optimum/main/en/utils/normalized_config#optimum.utils.NormalizedConfig">NormalizedConfig</a> specifying how to
normalize the model config.</p></li> <li><p>DUMMY_INPUT_GENERATOR_CLASSES (<code>Tuple[Type]</code>) — A tuple of classes derived from
<a href="/docs/optimum/main/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> specifying how to create dummy inputs.</p></li> <li><p>ATOL_FOR_VALIDATION (<code>Union[float, Dict[str, float]]</code>) — A float or a dictionary mapping task names to float,
where the float values represent the absolute tolerance value to use during model conversion validation.</p></li> <li><p>MANDATORY_AXES (<code>Tuple[Union[str, Tuple[Union[str, Tuple[str]]]]]</code>) — A tuple where each element is either:</p> <ul><li>An axis  name, for instance “batch_size” or “sequence_length”, that indicates that the axis dimension is
needed to export the model,</li> <li>Or a tuple containing two elements:<ul><li>The first one is either a string or a tuple of strings and specifies for which task(s) the axis is needed</li> <li>The second one is the axis name.</li></ul></li></ul> <p>For example: <code>MANDATORY_AXES = (&quot;batch_size&quot;, &quot;sequence_length&quot;, (&quot;multiple-choice&quot;, &quot;num_choices&quot;))</code> means that
to export the model, the batch size and sequence length values always need to be specified, and that a value
for the number of possible choices is needed when the task is multiple-choice.</p></li>`,pt,b,F,mt,M,yt="List containing the names of the inputs the exported model should take.",ct,$,A,dt,S,Tt="List containing the names of the outputs the exported model should have.",ut,y,q,ft,V,Ct=`Generates dummy inputs that the exported model should be able to process.
This method is actually used to determine the input specs that are needed for the export.`,J,D,K,d,E,gt,R,Nt="Handles encoder-based text architectures.",Q,u,z,ht,U,Ot="Handles vision architectures.",W,j,tt;return O=new xt({props:{title:"Configuration classes for TFLite export",local:"configuration-classes-for-tflite-export",headingTag:"h1"}}),L=new xt({props:{title:"Base classes",local:"optimum.exporters.tflite.TFLiteConfig",headingTag:"h2"}}),w=new G({props:{name:"class optimum.exporters.tflite.TFLiteConfig",anchor:"optimum.exporters.tflite.TFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.TFLiteConfig.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.exporters.tflite.TFLiteConfig.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;feature-extraction&quot;</code>) &#x2014;
The task the model should be exported for.`,name:"task"},{anchor:"optimum.exporters.tflite.TFLiteConfig.The",description:"<strong>The</strong> rest of the arguments are used to specify the shape of the inputs the model can take. &#x2014;",name:"The"},{anchor:"optimum.exporters.tflite.TFLiteConfig.They",description:"<strong>They</strong> are required or not depending on the model the <code>TFLiteConfig</code> is designed for. &#x2014;",name:"They"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L118"}}),F=new G({props:{name:"inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L282",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of input names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),A=new G({props:{name:"outputs",anchor:"optimum.exporters.tflite.TFLiteConfig.outputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L293",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of output names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),q=new G({props:{name:"generate_dummy_inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.generate_dummy_inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L303",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A dictionary mapping input names to dummy tensors.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, tf.Tensor]</code></p>
`}}),D=new xt({props:{title:"Middle-end classes",local:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",headingTag:"h2"}}),E=new G({props:{name:"class optimum.exporters.tflite.config.TextEncoderTFliteConfig",anchor:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/config.py#L27"}}),z=new G({props:{name:"class optimum.exporters.tflite.config.VisionTFLiteConfig",anchor:"optimum.exporters.tflite.config.VisionTFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/config.py#L36"}}),{c(){c=s("meta"),B=a(),H=s("p"),Y=a(),f(O.$$.fragment),X=a(),f(L.$$.fragment),Z=a(),i=s("div"),f(w.$$.fragment),rt=a(),P=s("p"),P.textContent=_t,st=a(),k=s("p"),k.textContent=bt,lt=a(),I=s("ul"),I.innerHTML=$t,pt=a(),b=s("div"),f(F.$$.fragment),mt=a(),M=s("p"),M.textContent=yt,ct=a(),$=s("div"),f(A.$$.fragment),dt=a(),S=s("p"),S.textContent=Tt,ut=a(),y=s("div"),f(q.$$.fragment),ft=a(),V=s("p"),V.textContent=Ct,J=a(),f(D.$$.fragment),K=a(),d=s("div"),f(E.$$.fragment),gt=a(),R=s("p"),R.textContent=Nt,Q=a(),u=s("div"),f(z.$$.fragment),ht=a(),U=s("p"),U.textContent=Ot,W=a(),j=s("p"),this.h()},l(t){const o=Dt("svelte-u9bgzb",document.head);c=l(o,"META",{name:!0,content:!0}),o.forEach(e),B=r(t),H=l(t,"P",{}),T(H).forEach(e),Y=r(t),g(O.$$.fragment,t),X=r(t),g(L.$$.fragment,t),Z=r(t),i=l(t,"DIV",{class:!0});var p=T(i);g(w.$$.fragment,p),rt=r(p),P=l(p,"P",{"data-svelte-h":!0}),C(P)!=="svelte-1jfshjd"&&(P.textContent=_t),st=r(p),k=l(p,"P",{"data-svelte-h":!0}),C(k)!=="svelte-wz8va1"&&(k.textContent=bt),lt=r(p),I=l(p,"UL",{"data-svelte-h":!0}),C(I)!=="svelte-broqpr"&&(I.innerHTML=$t),pt=r(p),b=l(p,"DIV",{class:!0});var et=T(b);g(F.$$.fragment,et),mt=r(et),M=l(et,"P",{"data-svelte-h":!0}),C(M)!=="svelte-cpn9v5"&&(M.textContent=yt),et.forEach(e),ct=r(p),$=l(p,"DIV",{class:!0});var nt=T($);g(A.$$.fragment,nt),dt=r(nt),S=l(nt,"P",{"data-svelte-h":!0}),C(S)!=="svelte-1bc7bh9"&&(S.textContent=Tt),nt.forEach(e),ut=r(p),y=l(p,"DIV",{class:!0});var it=T(y);g(q.$$.fragment,it),ft=r(it),V=l(it,"P",{"data-svelte-h":!0}),C(V)!=="svelte-13849rf"&&(V.textContent=Ct),it.forEach(e),p.forEach(e),J=r(t),g(D.$$.fragment,t),K=r(t),d=l(t,"DIV",{class:!0});var ot=T(d);g(E.$$.fragment,ot),gt=r(ot),R=l(ot,"P",{"data-svelte-h":!0}),C(R)!=="svelte-sreje6"&&(R.textContent=Nt),ot.forEach(e),Q=r(t),u=l(t,"DIV",{class:!0});var at=T(u);g(z.$$.fragment,at),ht=r(at),U=l(at,"P",{"data-svelte-h":!0}),C(U)!=="svelte-10ord85"&&(U.textContent=Ot),at.forEach(e),W=r(t),j=l(t,"P",{}),T(j).forEach(e),this.h()},h(){N(c,"name","hf:doc:metadata"),N(c,"content",Pt),N(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,o){n(document.head,c),m(t,B,o),m(t,H,o),m(t,Y,o),h(O,t,o),m(t,X,o),h(L,t,o),m(t,Z,o),m(t,i,o),h(w,i,null),n(i,rt),n(i,P),n(i,st),n(i,k),n(i,lt),n(i,I),n(i,pt),n(i,b),h(F,b,null),n(b,mt),n(b,M),n(i,ct),n(i,$),h(A,$,null),n($,dt),n($,S),n(i,ut),n(i,y),h(q,y,null),n(y,ft),n(y,V),m(t,J,o),h(D,t,o),m(t,K,o),m(t,d,o),h(E,d,null),n(d,gt),n(d,R),m(t,Q,o),m(t,u,o),h(z,u,null),n(u,ht),n(u,U),m(t,W,o),m(t,j,o),tt=!0},p:wt,i(t){tt||(x(O.$$.fragment,t),x(L.$$.fragment,t),x(w.$$.fragment,t),x(F.$$.fragment,t),x(A.$$.fragment,t),x(q.$$.fragment,t),x(D.$$.fragment,t),x(E.$$.fragment,t),x(z.$$.fragment,t),tt=!0)},o(t){v(O.$$.fragment,t),v(L.$$.fragment,t),v(w.$$.fragment,t),v(F.$$.fragment,t),v(A.$$.fragment,t),v(q.$$.fragment,t),v(D.$$.fragment,t),v(E.$$.fragment,t),v(z.$$.fragment,t),tt=!1},d(t){t&&(e(B),e(H),e(Y),e(X),e(Z),e(i),e(J),e(K),e(d),e(Q),e(u),e(W),e(j)),e(c),_(O,t),_(L,t),_(w),_(F),_(A),_(q),_(D,t),_(E),_(z)}}}const Pt='{"title":"Configuration classes for TFLite export","local":"configuration-classes-for-tflite-export","sections":[{"title":"Base classes","local":"optimum.exporters.tflite.TFLiteConfig","sections":[],"depth":2},{"title":"Middle-end classes","local":"optimum.exporters.tflite.config.TextEncoderTFliteConfig","sections":[],"depth":2}],"depth":1}';function kt(vt){return Ft(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Et}),[]}class Rt extends At{constructor(c){super(),qt(this,c,kt,zt,Lt,{})}}export{Rt as component};
